dev_getbyhwaddr
Prev | Driver Support | Next

## Name

dev_getbyhwaddr — find a device by its hardware address

## Synopsis

`struct net_device * dev_getbyhwaddr (` | struct net * | net,
| unsigned short | type,
| char * | ha`)`;

## Arguments

`net`

  the applicable net namespace

`type`

  media type of device

`ha`

  hardware address

## Description

Search for an interface by MAC address. Returns NULL if the device is not found or a pointer to the device. The caller must hold the rtnl semaphore. The returned device has not had its ref count increased and the caller must therefore be careful about locking

## BUGS

If the API was consistent this would be __dev_get_by_hwaddr

Prev | Up | Next
dev_get_by_index | Home | dev_get_by_flags